﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PlayerController : MonoBehaviour {

    public Rigidbody rb;
    private float force;
    private int count;

    // Use this for initialization
    void Start () {
        force = 0.2f; 
        count = 0;
	}
	
	// Update is called once per frame
	void Update () {
        if (Input.GetKey(KeyCode.DownArrow))
        {
            rb.AddForce(new Vector3(0.0f, 0.0f, -force));
        }
        else if (Input.GetKey(KeyCode.UpArrow))
        {
            rb.AddForce(new Vector3(0.0f, 0.0f, force));
        }
        else if (Input.GetKey(KeyCode.LeftArrow))
        {
            rb.AddForce(new Vector3(-force, 0.0f, 0.0f));
        }
        else if (Input.GetKey(KeyCode.RightArrow))
        {
            rb.AddForce(new Vector3(force, 0.0f, 0.0f));
        }
    }

    void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.CompareTag("Obstacle"))
        {
            other.gameObject.SetActive(false);
			Destroy(other.gameObject);
            force *= 2;
            count++;
        }
    }

}
